Bug 1140553 - hammer --help redundantly requires credentials
Summary: hammer --help redundantly requires credentials
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hammer
Version: 6.0.4
Hardware: All
OS: All
medium
medium vote
Target Milestone: Unspecified
Assignee: Martin Bacovsky
QA Contact: jcallaha
URL: http://projects.theforeman.org/issues...
Whiteboard:
: 1143985 (view as bug list)
Depends On:
Blocks: 1122832
TreeView+ depends on / blocked
 
Reported: 2014-09-11 08:45 UTC by Pavel Moravec
Modified: 2019-07-11 08:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:16:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1166472 0 medium CLOSED hammer shell command does not verify username/passowrd 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHSA-2015:1592 0 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC

Internal Links: 1166472

Description Pavel Moravec 2014-09-11 08:45:58 UTC
Description of problem:
Running hammer --help or e.g. hammer user --help (or any other command with --help) asks for foreman credentials.

This is ridiculous, please remove it.


Version-Release number of selected component (if applicable):
rubygem-hammer_cli_foreman_tasks-0.0.3-3.el6sat.noarch
rubygem-hammer_cli_import-0.10.4-1.1.el6sat.noarch
rubygem-hammer_cli-0.1.1-12.el6sat.noarch
rubygem-hammer_cli_foreman-0.1.1-16.el6sat.noarch
rubygem-hammer_cli_katello-0.0.4-14.el6sat.noarch


How reproducible:
100%


Steps to Reproduce:
1. hammer --help
2. hammer user --help
3. hammer organization --help


Actual results:
In all above cases: "[Foreman] username:" prompt is printed out.


Expected results:
No credentials prompt to appera, but directly the help page to be printed out.


Additional info:

Comment 2 Dominic Cleal 2014-09-11 13:10:57 UTC
Created redmine issue http://projects.theforeman.org/issues/7408 from this bug

Comment 3 Dominic Cleal 2014-09-18 11:52:24 UTC
*** Bug 1143985 has been marked as a duplicate of this bug. ***

Comment 4 jcallaha 2014-09-29 14:16:36 UTC
Additionally, even though the user is prompted for their Foreman credentials, no authentication takes place. I was able to still successfully run the help commands with nonsensical and/or nonexistent input for the Username and Password fields.

Comment 5 Bryan Kearney 2014-11-12 11:03:43 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/7408 has been closed
-------------
Anonymous
Applied in changeset commit:17f7cc7b10698854ae05af738805ff8a3dfea607.

Comment 6 jcallaha 2014-11-21 21:40:26 UTC
*** This bug is verified in upstream.  This fix should eventually land in future downstream builds ***

Version Tested:
RHEL66 / RHEL7

rubygem-hammer_cli_import-0.10.4-1.el7.noarch
rubygem-hammer_cli_foreman-0.1.3-1.201411121216git9381fc5.el7.noarch
rubygem-hammer_cli_katello-0.0.6-1.201411202238git7fa4778.git.0.a5a9308.el7.noarch
rubygem-hammer_cli-0.1.3-1.201411181453git0c80831.el7.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3-2.201409091410git163c264.git.0.988ca80.el7.noarch

Comment 7 Bryan Kearney 2015-08-11 13:23:59 UTC
This bug is slated to be released with Satellite 6.1.

Comment 8 errata-xmlrpc 2015-08-12 05:16:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.